Page MenuHomePhabricator

Use of wfSetupSession was deprecated in MediaWiki 1.27
Closed, ResolvedPublic

Description

Deprecated: Use of wfSetupSession was deprecated in MediaWiki 1.27. [Called from fnBreadCrumbsShowHook in /var/www/html/extensions/BreadCrumbs/BreadCrumbsFunctions.php at line 37] in /var/www/html/includes/debug/MWDebug.php on line 309

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 19 2018, 9:40 AM
Vvjjkkii renamed this task from Use of wfSetupSession was deprecated in MediaWiki 1.27 to voaaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot raised the priority of this task from High to Needs Triage.Jul 5 2018, 7:03 PM

According to the docs this can be replaced by $session->persist(). I'll try to update it.

Change 451759 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/BreadCrumbs@master] Remove deprecated usage of wfSetupSession()

https://gerrit.wikimedia.org/r/451759

Change 451759 merged by jenkins-bot:
[mediawiki/extensions/BreadCrumbs@master] Remove deprecated usage of wfSetupSession()

https://gerrit.wikimedia.org/r/451759

MarcoAurelio closed this task as Resolved.Aug 10 2018, 8:44 PM
MarcoAurelio claimed this task.
Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptAug 10 2018, 8:44 PM